import java.awt.*;

public interface Draggable extends Drawable {
  boolean contains(double x, double y);
  void drag(double x, double y);
  void setSelectedColor();
  void setDefaultColor();
  void attachNearElement(double x, double y, BlockSpringConfiguration bsc);
}
